/* Including one css file into other */
@import "reset.css";

@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@400;700&display=swap');

body {
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 14px;
    text-align: center;
    color: #6e6e73;
}

/* Typograph */

h1, h2, h3 {
    line-height: 1;
    color: #000;
}
h1, h2 {
    font-weight: 700;
}
h1 {
    font-size: 36px;
}
h2 {
    font-size: 48px;
}
.title {
    margin-bottom: 30px;
    font-size: 32px;
    text-align: center;
}
.subtitle {
    margin-bottom: 30px;
    font-size: 18px;
}
p {
    line-height: 1.5;
    margin-bottom: 10px;
}
p:last-child {
    margin-bottom: 0;
}

/* Buttons */

.button-container {
    display: flex;
    justify-content: center;
    gap: 0 10px;
}
.btn {
    padding: 0;
    font-family: 'Roboto Condensed', sans-serif;
    background-color: transparent;
    border: 0;
    cursor: pointer;
}
.btn-primary {
    width: 180px;
    padding: 1em 2em;
    color: #fff;
    background-color: #000;
    border-radius: 1.5em;
}
/* Header */

header {
    padding: 15px;
    border-bottom: 1px solid #d3d6da;
    display: flex;
    align-items: center;
}
header .left-container,
header .right-container {
    flex: 0 0 180px;
}
header .main-container {
    flex: 1 1 auto;
}
header .button-container {
    justify-content: flex-end;
}
header .button-container .btn {
    display: flex;
    align-items: center;
}
header .button-container svg {
    fill: #000;
    height: 22px;
}

/* Main content */

main {
    padding: 15px;
}
#game-container,
#retry-game-button {
    display: none;
}
#game-container .main-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0 20px;
}
#hangman-image {
    max-width: 450px;
    height: auto;
}
#game-container .main-container .info-container {
    min-width: 370px;
}
#word-label {
    font-size: 18px;
    letter-spacing: 5px;
    color: #000;
}
.message-container {
    min-height: 50px;
    margin: 20px 0;
    padding: 15px 30px;
    border-left: 3px solid;
    border-radius: 8px;
    display: flex;
    align-items: center;
    gap: 0 10px;
}
.message-container.info-message {
    color: #495057;
    background-color: #f5f5f7;
    border-color: #495057;
}
.message-container.success-message {
    color: #0a3622;
    background-color: #d1e7dd;
    border-color: #0a3622;
}
.message-container.danger-message {
    color: #58151c;
    background-color: #f8d7da;
    border-color: #58151c;
}
.message-container .message-icon {
    display: none;
}
.message-container.info-message .message-icon.info-icon,
.message-container.success-message .message-icon.success-icon,
.message-container.danger-message .message-icon.danger-icon {
    display: block;
}
.message-container.info-message .message-icon.info-icon svg {
    fill: #495057;
}
.message-container.success-message .message-icon.success-icon svg {
    fill: #0a3622;
}
.message-container.danger-message .message-icon.danger-icon svg {
    fill: #58151c;
}
.message-container .message-content {
    text-align: left;
}
.message-container .message-content .notes {
    font-size: 11px;
}
#score-table-container {
    margin: auto;
    width: 50%;
    padding: 10px;
    display: none;
}
#words-button-container {
    width: 631px;
    margin: 20px auto 0;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 8px 6px;
}
#words-button-container .btn {
    width: 43px;
    height: 58px;
    font-size: 22px;
    font-weight: 700;
    background-color: #d3d6da;
    border-radius: 4px;
}
#words-button-container .btn:disabled {
    cursor: default;
}
#words-button-container .btn.correct:disabled {
    background-color: #d1e7dd;
}
#words-button-container .btn.incorrect:disabled {
    background-color: #f8d7da;
}

/* Splash pages */

.splash-page {
    position: absolute;
    width: 100%;
    top: 100px;
    height: calc(100vh - 100px);
    display: none;
    justify-content: center;
}
.splash-page .box-container {
    position: relative;
    width: 520px;
    margin: 50px 0;
    padding: 30px;
    text-align: left;
    background-color: #fff;
    box-shadow: 0 4px 23px 0 rgba(0,0,0,.2);
}
.splash-page .box-container .box-content-item {
    margin-bottom: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid #d3d6da;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0 30px;
}
.splash-page .box-container > .btn-close {
    position: absolute;
    top: 15px;
    right: 15px;
}
.splash-page .box-container > .btn-close > svg {
    height: 1.5em;
}
#welcome-page {
    top: 0;
    height: 100vh;
    background-color: #e3e3e1;
    display: flex;
    flex-direction: column;
}
#welcome-page h2 {
    max-width: 320px;
    margin: 0 auto;
}
#welcome-page .button-container {
    margin-top: 50px;
}
#login-page {
    align-items: center;
}
#login-page .box-container {
    width: 350px;
    height: 200px;
    text-align: center;
}
#login-page .box-container input[type=text],
#login-page .box-container input[type=password] {
    width: 80%;
    margin-bottom: 10px;
    padding: 3px;
    background-color: #f5f5f7;
    border: 0;
    border-radius: 0;
}
#login-page .box-container input[type=submit] {
    margin-top: 25px;
}

/* Statistics */

.statistics-container h3 {
    font-size: 20px;
    font-weight: 700;
    text-align: center;
}
.statistics-container p {
    margin-bottom: 0;
}
.statistics-container p span {
    font-size: 32px;
    font-weight: 700;
    color: #000;
}
.statistics-container .values-container {
    margin: 10px 0 30px;
    display: flex;
    justify-content: center;
    gap: 0 30px;
}
.statistics-container .values-container p {
    text-align: center;
}
.statistics-container .graph-container .graph-item {
    margin-bottom: 5px;
    display: flex;
    gap: 0 5px;
}
.statistics-container .graph-container .graph-item:last-child {
    margin-bottom: 0;
}
.statistics-container .graph-container .graph-item span {
    width: 0;
    height: 100%;
    line-height: 21px;
    font-weight: 700;
    text-align: right;
    display: block;
    opacity: 0;
}
.statistics-container .graph-container .graph-item .wins {
    background-color: #d1e7dd;
}
.statistics-container .graph-container .graph-item .losses {
    background-color: #f8d7da;
}
.statistics-container .graph-container .graph-item > p {
    flex: 0 0 50px;
}
.statistics-container .graph-container .graph-item > div {
    background-color: #f5f5f7;
    flex: 1 1 auto;
}

/* Switch */

.switch {
    position: relative;
    height: 20px;
}
.cmn-toggle {
    position: absolute;
    margin-left: -9999px;
    visibility: hidden;
}
.cmn-toggle + label {
    position: relative;
    cursor: pointer;
    outline: none;
    user-select: none;
    display: inline-block;
}
input.cmn-toggle-round + label {
    width: 50px;
    height: 100%;
    border-radius: 20px;
}
input.cmn-toggle-round + label:before,
input.cmn-toggle-round + label:after {
    content: '';
    position: absolute;
    display: block;
}
input.cmn-toggle-round + label:before {
    top: 0;
    left: 0;
    right: 1px;
    height: 100%;
    background-color: #878a8c;
    border-radius: 30px;
    transition: background 0.5s;
}
input.cmn-toggle-round + label:after {
    top: 2px;
    left: 2px;
    width: 16px;
    height: 16px;
    background-color: #fff;
    border-radius: 100%;
    transition: margin 0.5s;
}
input.cmn-toggle-round:checked + label:before {
    background-color: #6aaa64;
}
input.cmn-toggle-round:checked + label:after {
    margin-left: 29px;
}

/* Others */

.mb-0 {
    margin-bottom: 0;
}
.bold {
    font-weight: 700;
}
.d-none {
    display: none;
}